using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Thirdparty.CustomerContact.Cqrs;

public class CreateCustomerContactValidator : AbstractValidator<CreateCustomerContactRequest>
{
    public CreateCustomerContactValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Contact Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.CustomerId)
            .NotEmpty().WithMessage("Customer is required");

        RuleFor(x => x.EmailAddress)
            .EmailAddress().When(x => !string.IsNullOrEmpty(x.EmailAddress));
    }
}